
Figure - Bug #119036
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【PVT】【小窗模式】首次打开edge小窗模式，打开全屏APP，进入任务管理器，edge小窗消失
2023-07-13 16:09 - CDTS_Test 吴诗雨

Status: NEED_INFO Start date: 2023-07-13

Priority: Low Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0713DB

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 这是个正常的现象.

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开edge小窗模式，不点击其他

2、打开全屏APP

3、上划，进入任务管理器

【预期结果】

3、edge小窗正常展示

【实际结果】

3、edge小窗消失

History

#1 - 2023-07-13 16:09 - CDTS_Test 吴诗雨

- Category changed from CD-FW to 窗口定制

#2 - 2023-08-11 16:56 - CD FW-鲁凯峰

这是个正常的现象.因为edge设置了不在Recent里面显示

首次打开edge应用时,打开的是com.microsoft.emmx/com.microsoft.edge.fre.OrientationAdaptiveFirstRunActivity这个

<activity 

android:autoRemoveFromRecents="true"

android:configChanges="keyboard|keyboardHidden|mcc|mnc|orientation|screenLayout|screenSize|smallestScreenSize" 

android:excludeFromRecents="true"

android:label="@string/fre_activity_label" 

android:launchMode="singleInstance" 

android:name="com.microsoft.edge.fre.OrientationAdaptiveFirstRunActivity"/>

OrientationAdaptiveFirstRunActivity设置了不在Recent里面显示.

2025-07-03 1/2



按照AOSP的逻辑,当设置了autoRemoveFromRecents或者excludeFromRecents时,并且它不处于RecentTask里面的第0个位置,就是不处于顶部时,它会自动

从recent里面删除掉

按照现在的步骤

先打开OrientationAdaptiveFirstRunActivity,它处于第0个位置,所以可以在Recent里面看到,但是打开B站后,它就不处于第0个位置了,所以这个时候在进入recent,

就会被删掉

07-27 21:34:29.465  1078  1874 D lukaifeng123: isExcludeFromRecents : true

07-27 21:34:29.465  1078  1874 D lukaifeng123: taskIndex : 3

07-27 21:34:29.465  1078  1874 D lukaifeng123: Trimming out-of-range visible task=Task{36e117b #69 type=standard A=10038:com.microsoft.emmx U=0 mode=freeform

translucent=false sz=1 visible freeform task=true rootAffinity=10038:com.microsoft.emmx isMini=false}

07-27 21:34:29.465  1078  1874 I wm_finish_activity:

[0,215184650,69,com.microsoft.emmx/com.microsoft.edge.fre.OrientationAdaptiveFirstRunActivity,recent-task-trimmed]

#3 - 2023-08-11 16:59 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to WONTFIX

- Root cause set to 这是个正常的现象.

#4 - 2023-08-24 17:05 - CDTS_TEST 王成

- Status changed from RESOLVED to NEED_INFO

- Assignee changed from CDTS_Test 吴诗雨 to CD FW 曹覃刚

需要再次判断是否需要修改

#5 - 2023-11-07 16:50 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

这个是应用自己的配置，如果需要调整，需要应用来做(应用本身配置这个就是期望不在recent中显示，并不是问题)

1.这不是问题，是正常的机制

2.应用自己配置了，所以会不在recent中显示

3.不能随意更改系统机制，不仅会使机制失效，且会导致更多问题

请确认，并帮忙关闭此票

Files

20230713-160823.mp4 6.74 MB 2023-07-13 CDTS_Test 吴诗雨
